solarOSsolarOS Docs

Mark a Service Appointment en route

Transitions a dispatched appointment to EN_ROUTE. The body is optional. Accepted body fields are ignored by this action but still participate in idempotency matching; prefer an empty object.

POST
/service-appointments/{id}/en-route

Transitions a dispatched appointment to EN_ROUTE. The body is optional. Accepted body fields are ignored by this action but still participate in idempotency matching; prefer an empty object.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Service Appointment identifier returned by the Organization API.

Request Body

application/json

JSON request payload for markServiceAppointmentEnRoute.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/service-appointments/string/en-route" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}